import { Subject } from 'rxjs';
import { IpcMessageData } from './ipc-message-data';
export declare class IpcMessageService {
    onMessageEvent: Subject<IpcMessageData>;
    private pluginInfo;
    private timer;
    /**
     * 已授权的消息列表
     */
    private authorizationMsg;
    constructor();
    register(id: string): void;
    onMessage(msg: string, args: string): void;
    isJSON(str: string): boolean | undefined;
    unRegister(id: string): void;
    private capturePluginInfo;
}
