import { Subject } from 'rxjs';
import { MessageData } from './message-data';
export declare class MessageService {
    onMessageEvent: Subject<MessageData>;
    private pluginInfo;
    private timer;
    /**
     * 已授权的消息列表
     */
    private authorizationMsg;
    constructor();
    register(id: string): void;
    onMessage(msg: string, args: string): void;
    isJSON(str: string): boolean | undefined;
    unRegister(id: string): void;
    private capturePluginInfo;
}
